# frozen_string_literal: true

lib = File.expand_path('lib', __dir__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'log_toolbox/version'

Gem::Specification.new do |spec|
  spec.name                   = 'log_toolbox'
  spec.version                = LogToolbox::VERSION
  spec.authors                = ['Caio Almeida']
  spec.email                  = ['cbalmeida@guide.com.br']

  spec.required_ruby_version  = '>= 2.5'
  spec.summary                = 'Guide default gem for ruby application logging'
  spec.homepage               = 'http://bitbucket.org/guideinvestimentos/log_toolbox'
  spec.license                = 'Guide'

  spec.files                  = Dir.chdir(File.expand_path(__dir__)) do
    `git ls-files -z`.split("\x0").reject do |f|
      f.match(%r{^(test|spec|features)/})
    end
  end
  spec.require_paths = ['lib']

  spec.add_dependency 'lograge', '>= 0.11.1'
  spec.add_dependency 'logstash-event', '>= 1.2.02'
  spec.add_dependency 'logstash-logger', '>= 0.26.1'
  spec.add_dependency 'rails', '>= 5.0'
end
